From nobody@FreeBSD.org  Mon Feb 21 05:59:10 2000
Return-Path: <nobody@FreeBSD.org>
Received: from freefall.freebsd.org (freefall.FreeBSD.ORG [204.216.27.21])
	by hub.freebsd.org (Postfix) with ESMTP id 0F8FF37BD50
	for <freebsd-gnats-submit@FreeBSD.org>; Mon, 21 Feb 2000 05:59:10 -0800 (PST)
	(envelope-from nobody@FreeBSD.org)
Received: (from nobody@localhost)
	by freefall.freebsd.org (8.9.3/8.9.2) id FAA18932;
	Mon, 21 Feb 2000 05:59:09 -0800 (PST)
	(envelope-from nobody@FreeBSD.org)
Message-Id: <200002211359.FAA18932@freefall.freebsd.org>
Date: Mon, 21 Feb 2000 05:59:09 -0800 (PST)
From: tkato@prontomail.ne.jp
Sender: nobody@FreeBSD.org
To: freebsd-gnats-submit@FreeBSD.org
Subject: Update port: games/xjewel
X-Send-Pr-Version: www-1.0

>Number:         16868
>Category:       ports
>Synopsis:       Update port: games/xjewel
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon Feb 21 06:00:04 PST 2000
>Closed-Date:    Mon Feb 21 15:17:45 PST 2000
>Last-Modified:  Mon Feb 21 15:18:33 PST 2000
>Originator:     KATO Tsuguru
>Release:        FreeBSD 3.4-RELEASE i386
>Organization:
>Environment:
>Description:
- Make font directory if not exist

New file:
pkg/REQ

>How-To-Repeat:

>Fix:
diff -urN /usr/ports/games/xjewel/Makefile games/xjewel/Makefile
--- /usr/ports/games/xjewel/Makefile	Sun Feb 13 20:24:16 2000
+++ games/xjewel/Makefile	Sun Feb 20 23:49:35 2000
@@ -21,6 +21,10 @@
 FONTSDIR=	lib/X11/fonts/local
 PLIST_SUB=	FONTSDIR=${FONTSDIR}
 
+pre-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} \
+		${SH} ${PKGDIR}/REQ ${PKGNAME} INSTALL
+
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/bitmaps/seven_seg.pcf.gz ${PREFIX}/${FONTSDIR}
 	@(cd ${PREFIX}/${FONTSDIR} ; mkfontdir)
diff -urN /usr/ports/games/xjewel/pkg/REQ games/xjewel/pkg/REQ
--- /usr/ports/games/xjewel/pkg/REQ	Thu Jan  1 09:00:00 1970
+++ games/xjewel/pkg/REQ	Sun Feb 20 23:46:39 2000
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+if [ "x$1" = "x" ]; then
+	exit 1;
+fi
+if [ "x$2" != "xINSTALL" -a "x$2" != "xDEINSTALL" ]; then
+	exit 1;
+fi
+
+export FONTDIR; FONTDIR=${PKG_PREFIX}/lib/X11/fonts/local
+
+if [ "$2x" = "INSTALLx" -a ! -d ${FONTDIR} ]; then
+	echo '**********************************************************************'
+	echo "****** ${FONTDIR}/ doesn't exist."
+	echo "****** Creating ${FONTDIR}/"
+	echo '****** Please upgrade your XFree86 to 3.3.3 or upper,'
+	echo "****** or add this directory to your /etc/XF86Config's FontPath entry."
+	echo '**********************************************************************'
+	mkdir ${FONTDIR}
+fi
+
+echo "**********************************************************"
+echo "You should restart X server or do 'xset fp rehash' command"
+echo "to enable this update."
+echo "**********************************************************"
+
+exit 0;


>Release-Note:
>Audit-Trail:
State-Changed-From-To: open->closed 
State-Changed-By: jmz 
State-Changed-When: Mon Feb 21 15:17:45 PST 2000 
State-Changed-Why:  
Patch committed. Thanks! 
>Unformatted:
